OpenapiPoints
Update_wallet_status
Path Parameters
userId*string
User ID
Format
uuidbucketId*string
Credit Bucket ID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
status*string
active, frozen, or closed.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/points/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/497f6eca-6276-4993-bfeb-53cbbbba6f08/status" \ -H "Content-Type: application/json" \ -d '{ "status": "string" }'{ "balance": 0, "bucketId": "1980377d-7926-47e0-9e64-a9d0c746404d", "createdAt": "string", "currency": "string", "expiresAt": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "realmId": "string", "status": "string", "totalConsumed": 0, "totalPaidGranted": 0, "totalRecharged": 0, "unit": "string", "updatedAt": "string", "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b"}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}{ "code": "string", "details": null, "message": "string", "requestId": "string", "status": 0}